
#ifndef LUBISHEV_MAIN_WINDOW_H
#define LUBISHEV_MAIN_WINDOW_H

#include <lubishev/DB.h>
#include <lubishev/Scene.h>

#include <ui_MainWindow.h>
#include <QMainWindow>
#include <QPushButton>
#include <QSettings>

namespace lubishev {

class MainWindow : public QMainWindow,
                   public Ui::MainWindow {
    Q_OBJECT
    public:
        MainWindow(QWidget *parent = 0);
        ~MainWindow();

        void settingsLoad();
        void settingsSave();

    public slots:
        void about();
        void onBtnCursor();
        void onCursorTimeChange(time_t cursor);
        void settings();
        void webHome();

    private:
        DB *mDB;
        Scene *mScene;
        QSettings mSettings;
        QPushButton *mBtnCursorTime;
};

} // namespace lubishev

#endif // LUBISHEV_MAIN_WINDOW_H

